## aodh 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.7.2
retrying!=1.3.0,>=1.2.3 # Apache-2.0
croniter>=0.3.4 # MIT License
eventlet>=0.17.4
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=1.5.0
lxml>=2.3
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=1.12.0 # Apache-2.0
oslo.config>=1.15.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.service>=0.1.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr<2.0,>=0.11
pecan>=0.8.0
oslo.messaging>1.17.1 # Apache-2.0
oslo.middleware!=2.0.0,>=1.2.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=1.9.0 # Apache-2.0
python-ceilometerclient>=1.0.13
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.7
stevedore>=1.5.0 # Apache-2.0
tooz>=0.16.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME>=0.8

=== debian/changelog ===
aodh (1.0.0-6) unstable; urgency=medium

  * Added missing Alembic migration scripts (LP: #1508463).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 08:01:49 +0000

aodh (1.0.0-5) unstable; urgency=medium

  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 14:57:51 +0200

aodh (1.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:53:18 +0000

aodh (1.0.0-3) experimental; urgency=medium

  * Added a -expirer daemon, after request from upstream.
  * Minimum version for ceilometerclient is now 1.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 15:14:51 +0000

aodh (1.0.0-2) experimental; urgency=medium

  * Now aodh-api depends on openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 12:51:21 +0000

aodh (1.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #798570)

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2015 17:50:46 +0200

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     mongodb,
                     python-babel,
                     python-ceilometerclient (>= 1.5.0),
                     python-coverage,
                     python-croniter,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-gabbi (>= 0.12.0),
                     python-hacking (>= 0.10.0),
                     python-happybase,
                     python-jsonschema,
                     python-keystoneclient (>= 1.6.0),
                     python-keystonemiddleware (>= 1.5.0),
                     python-lxml,
                     python-mock,
                     python-oslo.config (>= 1:1.15.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.12.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.2.0),
                     python-oslo.messaging (>= 2.1.0),
                     python-oslo.middleware (>= 1.2.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service,
                     python-oslo.utils (>= 1.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-pastedeploy,
                     python-pecan (>= 0.8.0),
                     python-psycopg2,
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sphinxcontrib.docbookrestapi,
                     python-sphinxcontrib.httpdomain,
                     python-sqlalchemy (>= 0.9.7),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 0.16.0),
                     python-tz,
                     python-webob,
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/aodh.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/aodh.git
Homepage: https://github.com/openstack/aodh

Package: python-aodh
Section: python
Architecture: all
Depends: alembic (>= 0.7.2),
         python-ceilometerclient (>= 1.5.0),
         python-croniter,
         python-eventlet (>= 0.17.4),
         python-jsonschema,
         python-keystoneclient (>= 1.6.0),
         python-keystonemiddleware (>= 1.5.0),
         python-lxml,
         python-oslo.config (>= 1:1.15.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.12.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.2.0),
         python-oslo.messaging (>= 2.1.0),
         python-oslo.middleware (>= 1.2.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service,
         python-oslo.utils (>= 1.9.0),
         python-pastedeploy,
         python-pbr (>= 1.6),
         python-pecan (>= 0.8.0),
         python-pymysql,
         python-requests (>= 2.5.2),
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.7),
         python-stevedore (>= 1.5.0),
         python-tooz (>= 0.16.0),
         python-tz,
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

Package: aodh-common
Architecture: all
Depends: adduser,
         dpkg-dev,
         python-aodh (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-api
Architecture: all
Depends: adduser,
         aodh-common (= ${binary:Version}),
         debconf,
         python-openstackclient,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-evaluator
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-notifier
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: aodh-listener
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-expirer
Architecture: all
Depends: aodh-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/aodh-common.config debian/aodh-common.postinst debian/aodh-api.config debian/aodh-api.postinst

override_dh_install:
	dh_install --fail-missing

	# Manage aodh.conf
	mkdir -p $(CURDIR)/debian/aodh-common/usr/share/aodh-common
	oslo-config-generator --output-file $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf \
		--namespace aodh \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
	chmod 0644 $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/aodh|' $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf

	# Add sqlalchemy migration which are missing
	mkdir -p $(CURDIR)/debian/python-aodh/usr/lib/python2.7/dist-packages/aodh/storage/sqlalchemy
	cp -auxf $(CURDIR)/aodh/storage/sqlalchemy/* $(CURDIR)/debian/python-aodh/usr/lib/python2.7/dist-packages/aodh/storage

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## aodh 1.1.3

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 croniter>=0.3.4 # MIT License
 eventlet>=0.17.4
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
-keystonemiddleware>=1.5.0
+keystonemiddleware>=2.2.0
 lxml>=2.3
 oslo.context>=0.2.0 # Apache-2.0
 oslo.db>=1.12.0 # Apache-2.0
@@ -19,18 +19,18 @@
 PasteDeploy>=1.5.0
 pbr<2.0,>=0.11
 pecan>=0.8.0
-oslo.messaging>1.17.1 # Apache-2.0
+oslo.messaging>1.17.1,!=2.6.0,!=2.6.1 # Apache-2.0
 oslo.middleware!=2.0.0,>=1.2.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.utils>=1.9.0 # Apache-2.0
-python-ceilometerclient>=1.0.13
+python-ceilometerclient>=1.5.0
 python-keystoneclient>=1.6.0
 pytz>=2013.6
 requests>=2.5.2
 six>=1.9.0
 SQLAlchemy<1.1.0,>=0.9.7
 stevedore>=1.5.0 # Apache-2.0
-tooz>=0.16.0 # Apache-2.0
+tooz>=1.19.0 # Apache-2.0
 Werkzeug>=0.7 # BSD License
 WebOb>=1.2.3
 WSME>=0.8

=== debian/changelog ===
aodh (1.1.3-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * d/gbp.conf: Update for Liberty branch and pristine-tar.
  * New upstream point release for OpenStack Liberty (LP: #1619452).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 10:00:21 -0400

aodh (1.0.0-6~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 22 Oct 2015 11:58:38 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      python-happybase,
                      python-jsonschema,
                      python-keystoneclient (>= 1.6.0),
-                     python-keystonemiddleware (>= 1.5.0),
+                     python-keystonemiddleware (>= 2.2.0),
                      python-lxml,
                      python-mock,
                      python-oslo.config (>= 1:1.15.0),
@@ -57,7 +57,7 @@
                      python-tempest-lib (>= 0.6.1),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python-tooz (>= 0.16.0),
+                     python-tooz (>= 1.19.0),
                      python-tz,
                      python-webob,
                      python-werkzeug,
@@ -78,7 +78,7 @@
          python-eventlet (>= 0.17.4),
          python-jsonschema,
          python-keystoneclient (>= 1.6.0),
-         python-keystonemiddleware (>= 1.5.0),
+         python-keystonemiddleware (>= 2.2.0),
          python-lxml,
          python-oslo.config (>= 1:1.15.0),
          python-oslo.context (>= 0.2.0),
@@ -100,7 +100,7 @@
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 0.9.7),
          python-stevedore (>= 1.5.0),
-         python-tooz (>= 0.16.0),
+         python-tooz (>= 1.19.0),
          python-tz,
          python-webob,
          python-werkzeug,

## aodh 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
croniter>=0.3.4 # MIT License
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.2.0
gnocchiclient>=2.1.0  # Apache-2.0
lxml>=2.3
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=1.12.0 # Apache-2.0
oslo.config>=2.6.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.service>=0.1.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr<2.0,>=0.11
pecan>=0.8.0
oslo.messaging>2.6.1,!=2.8.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=1.9.0 # Apache-2.0
python-ceilometerclient>=1.5.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
tooz>=0.16.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME>=0.8

=== debian/changelog ===
aodh (2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 11:47:28 -0400

aodh (2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/rules: Run unit tests only during package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 21:27:05 -0400

aodh (2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.
  * d/rules, d/setup-test-env-mongodb.sh: Copy old aodh setup script from
    upstream and use it to initialize mongodb functional tests, as upstream
    now uses overtest.
  * d/p/skip-gabbi-tests.patch: Skip gabbi tests as it is not in Ubuntu main.
  * d/rules: Update to account for new location of aodh-config-generator.conf.
  * d/aodh-common.install: Install api_paste.ini/policy.json from usr/etc/aodh.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2016 15:31:34 -0500

aodh (2.0.0~b2-2ubuntu2) xenial; urgency=medium

  * d/aodh-common.install: Install aodh/api/app.wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2016 14:26:11 -0500

aodh (2.0.0~b2-2ubuntu1) xenial; urgency=medium

  * d/gbp.conf: Update configuration.
  * d/control: Update Vcs-Browser/Git.
  * d/watch: Get orig tar ball from tarballs.openstack.org.
  * d/*: Remove debconf support.
  * d/aodh-common.dirs: New file added to create required dirs.
  * d/aodh-common.install: Install config files in /etc/aodh and install
    individual /usr/bin files.
  * d/rules: Clean up and simplify config file generation.
  * d/aodh-common.postinst: Add post install user/group/perm configuration.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Feb 2016 14:14:45 -0500

aodh (2.0.0~b2-2) experimental; urgency=medium

  * Updated nl.po debconf translation (Closes: #806491).
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 05:41:51 +0000

aodh (2.0.0~b2-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Add python-pymongo to python-aodh depends as aodh-api init
    script fails without it.
  * d/rules: Ensure that alembic files are installed correctly.

  [ Thomas Goirand ]
  * New upstream release.
  * Fix where the alembic files are stored.
  * Fixed debian/copyright ordering.
  * Fixed namespace for generating config file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 06:58:06 +0800

aodh (2.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 11:09:38 +0100

aodh (1.0.0-11) unstable; urgency=medium

  * Fixed incorrect python-keystonemiddleware (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 14:20:29 +0100

aodh (1.0.0-10) unstable; urgency=medium

  * Import .po files from Glance (Closes: #802183).
  * Added pt.po debconf translation (Closes: #802423).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:48:15 +0100

aodh (1.0.0-9) unstable; urgency=medium

  * Added q-text-as-data as depends for aodh-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:23:14 +0000

aodh (1.0.0-8) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 20:08:59 +0000

aodh (1.0.0-7) unstable; urgency=medium

  * Correctly purge remaining folders on purge (Closes: #802534).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:15:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: aodh
 Section: web
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 23~),
-               po-debconf,
+               openstack-pkg-tools (>= 37~),
                python-all,
                python-pbr (>= 1.6),
                python-setuptools,
@@ -18,23 +18,23 @@
                      python-ceilometerclient (>= 1.5.0),
                      python-coverage,
                      python-croniter,
-                     python-eventlet (>= 0.17.4),
                      python-fixtures (>= 1.3.1),
                      python-gabbi (>= 0.12.0),
+                     python-gnocchiclient (>= 2.1.0),
                      python-hacking (>= 0.10.0),
                      python-happybase,
                      python-jsonschema,
                      python-keystoneclient (>= 1.6.0),
-                     python-keystonemiddleware (>= 2.2.0),
+                     python-keystonemiddleware (>= 3.0.0),
                      python-lxml,
                      python-mock,
-                     python-oslo.config (>= 1:1.15.0),
+                     python-oslo.config (>= 1:3.0.0),
                      python-oslo.context (>= 0.2.0),
                      python-oslo.db (>= 1.12.0),
                      python-oslo.i18n (>= 1.5.0),
                      python-oslo.log (>= 1.2.0),
-                     python-oslo.messaging (>= 2.1.0),
-                     python-oslo.middleware (>= 1.2.0),
+                     python-oslo.messaging (>= 3.0.0),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.service,
@@ -50,14 +50,12 @@
                      python-retrying,
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme (>= 0.8),
-                     python-sphinxcontrib.docbookrestapi,
                      python-sphinxcontrib.httpdomain,
                      python-sqlalchemy (>= 0.9.7),
                      python-stevedore (>= 1.5.0),
                      python-tempest-lib (>= 0.6.1),
-                     python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python-tooz (>= 1.19.0),
+                     python-tooz (>= 0.16.0),
                      python-tz,
                      python-webob,
                      python-werkzeug,
@@ -65,8 +63,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/aodh.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/aodh.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
 Homepage: https://github.com/openstack/aodh
 
 Package: python-aodh
@@ -75,18 +73,18 @@
 Depends: alembic (>= 0.7.2),
          python-ceilometerclient (>= 1.5.0),
          python-croniter,
-         python-eventlet (>= 0.17.4),
+         python-gnocchiclient (>= 2.1.0),
          python-jsonschema,
          python-keystoneclient (>= 1.6.0),
-         python-keystonemiddleware (>= 2.2.0),
+         python-keystonemiddleware (>= 3.0.0),
          python-lxml,
-         python-oslo.config (>= 1:1.15.0),
+         python-oslo.config (>= 1:3.0.0),
          python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 1.12.0),
          python-oslo.i18n (>= 1.5.0),
          python-oslo.log (>= 1.2.0),
-         python-oslo.messaging (>= 2.1.0),
-         python-oslo.middleware (>= 1.2.0),
+         python-oslo.messaging (>= 3.0.0),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.service,
@@ -94,13 +92,14 @@
          python-pastedeploy,
          python-pbr (>= 1.6),
          python-pecan (>= 0.8.0),
+         python-pymongo (>= 3.0.2),
          python-pymysql,
          python-requests (>= 2.5.2),
          python-retrying,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 0.9.7),
          python-stevedore (>= 1.5.0),
-         python-tooz (>= 1.19.0),
+         python-tooz (>= 0.16.0),
          python-tz,
          python-webob,
          python-werkzeug,
@@ -144,7 +143,6 @@
 Architecture: all
 Depends: adduser,
          aodh-common (= ${binary:Version}),
-         debconf,
          python-openstackclient,
          ${misc:Depends},
          ${ostack-lsb-base},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=aodh-config-generator.conf
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		OS_TEST_PATH=./aodh/tests/unit testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/aodh aodh-(\d.*)\.tar\.gz

## aodh 2.0.6

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 gnocchiclient>=2.1.0  # Apache-2.0
 lxml>=2.3
 oslo.context>=0.2.0 # Apache-2.0
-oslo.db>=1.12.0 # Apache-2.0
+oslo.db>=1.12.0,!=4.13.1,!=4.13.2,!=4.15.0 # Apache-2.0
 oslo.config>=2.6.0 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.log>=1.2.0 # Apache-2.0
@@ -28,7 +28,7 @@
 requests>=2.5.2
 six>=1.9.0
 stevedore>=1.5.0 # Apache-2.0
-tooz>=0.16.0 # Apache-2.0
+tooz>=1.28.0 # Apache-2.0
 Werkzeug>=0.7 # BSD License
 WebOb>=1.2.3
 WSME>=0.8

=== debian/changelog ===
aodh (2.0.6-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1696177).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 09:34:10 +0100

aodh (2.0.5-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1619318).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 08:14:21 -0400

aodh (2.0.4-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1614131).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 10:30:19 -0400

aodh (2.0.2-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/aodh-common.install: Install new aodh-data-migration tool.

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Mitaka (LP: #1604007).

 -- David Della Vecchia <ddv@canonical.com>  Mon, 18 Jul 2016 09:52:09 -0400

aodh (2.0.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1591248).
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 10 Jun 2016 12:05:12 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
@@ -55,7 +56,7 @@
                      python-stevedore (>= 1.5.0),
                      python-tempest-lib (>= 0.6.1),
                      python-testtools (>= 1.4.0),
-                     python-tooz (>= 0.16.0),
+                     python-tooz (>= 1.28.0),
                      python-tz,
                      python-webob,
                      python-werkzeug,
@@ -99,7 +100,7 @@
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 0.9.7),
          python-stevedore (>= 1.5.0),
-         python-tooz (>= 0.16.0),
+         python-tooz (>= 1.28.0),
          python-tz,
          python-webob,
          python-werkzeug,

## aodh 3.0.0~b3

=== debian/changelog ===
aodh (3.0.0~b3-1+51~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 22:16:10 +0000

aodh (3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Modified .gitreview to point at Gerrit.
  * Add debian/functions.sh as it's gone upstream.
  * Add -Xusr/etc/aodh/aodh-config-generator.conf in dh_install call.
  * Updated Danish translation of the debconf templates (Closes: #830646).
  * Do not run test_messaging.MessagingTests.test_get_transport_optional,
    which is failing under some OS (Xenial & Jessie arm64).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:30:47 +0200

aodh (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821240).
  * Updated Japanese debconf templates translation (Closes: #820759).
  * Updated Dutch debconf templates translation (Closes: #823253).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 11:25:47 +0200

aodh (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 18:37:08 +0200

aodh (2.0.0~rc1-3) unstable; urgency=medium

  * Uplodaing to unstable.
  * Updated ja.po debconf translation (Closes: #819132).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:56:39 +0200

aodh (2.0.0~rc1-2) experimental; urgency=medium

  * Not using keystone admin token anymnore to registre endpoints.
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 12:06:25 +0000

aodh (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Set OS_TEST_PATH=$(CURDIR)/aodh/tests/unit to run unit tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 09:20:30 +0100

aodh (2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed path of tests when running testr run.
  * Using script in debian to start mongo.
  * Fixed oslo-config-generator namespace list.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 23:37:27 +0800

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: aodh
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 52~),
+               po-debconf,
                python-all,
                python-pbr (>= 1.6),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.7.2),
+                     git,
                      mongodb,
                      python-babel,
                      python-ceilometerclient (>= 1.5.0),
+                     python-concurrent.futures (>= 3.0),
+                     python-cotyledon,
                      python-coverage,
                      python-croniter,
                      python-fixtures (>= 1.3.1),
+                     python-futurist (>= 0.11.0),
                      python-gabbi (>= 0.12.0),
                      python-gnocchiclient (>= 2.1.0),
                      python-hacking (>= 0.10.0),
@@ -29,17 +32,17 @@
                      python-keystonemiddleware (>= 3.0.0),
                      python-lxml,
                      python-mock,
+                     python-openstackdocstheme (>= 1.0.3),
+                     python-os-testr,
                      python-oslo.config (>= 1:3.0.0),
-                     python-oslo.context (>= 0.2.0),
                      python-oslo.db (>= 1.12.0),
                      python-oslo.i18n (>= 1.5.0),
                      python-oslo.log (>= 1.2.0),
-                     python-oslo.messaging (>= 3.0.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service,
-                     python-oslo.utils (>= 1.9.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.5.1),
                      python-pastedeploy,
@@ -53,19 +56,19 @@
                      python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sphinxcontrib.httpdomain,
                      python-sqlalchemy (>= 0.9.7),
+                     python-sqlalchemy-utils,
                      python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.6.1),
+                     python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
                      python-tz,
                      python-webob,
-                     python-werkzeug,
                      python-wsme (>= 0.8),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/aodh
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-aodh
+Vcs-Git: https://git.openstack.org/openstack/deb-aodh
 Homepage: https://github.com/openstack/aodh
 
 Package: python-aodh
@@ -73,23 +76,24 @@
 Architecture: all
 Depends: alembic (>= 0.7.2),
          python-ceilometerclient (>= 1.5.0),
+         python-concurrent.futures (>= 3.0),
+         python-cotyledon,
          python-croniter,
+         python-futurist (>= 0.11.0),
          python-gnocchiclient (>= 2.1.0),
          python-jsonschema,
          python-keystoneclient (>= 1.6.0),
          python-keystonemiddleware (>= 3.0.0),
          python-lxml,
          python-oslo.config (>= 1:3.0.0),
-         python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 1.12.0),
          python-oslo.i18n (>= 1.5.0),
          python-oslo.log (>= 1.2.0),
-         python-oslo.messaging (>= 3.0.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.serialization (>= 1.4.0),
-         python-oslo.service,
-         python-oslo.utils (>= 1.9.0),
+         python-oslo.utils (>= 3.5.0),
          python-pastedeploy,
          python-pbr (>= 1.6),
          python-pecan (>= 0.8.0),
@@ -103,7 +107,6 @@
          python-tooz (>= 1.28.0),
          python-tz,
          python-webob,
-         python-werkzeug,
          python-wsme (>= 0.8),
          ${misc:Depends},
          ${python:Depends},
@@ -144,7 +147,9 @@
 Architecture: all
 Depends: adduser,
          aodh-common (= ${binary:Version}),
+         debconf,
          python-openstackclient,
+         q-text-as-data,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},

## aodh 3.0.0~rc1

=== debian/changelog ===
aodh (3.0.0~rc1-1+51~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 18:39:46 +0000

aodh (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python-zaqarclient as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 17:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -64,6 +64,7 @@
                      python-tz,
                      python-webob,
                      python-wsme (>= 0.8),
+                     python-zaqarclient (>= 1.2.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,8 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#expose DH_VERBOSE=1
-
 export HOME="$(CURDIR)/debian/test"
-
 include /usr/share/openstack-pkg-tools/pkgos.make
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
 	dh $@  --with python2,systemd,sphinxdoc
@@ -13,10 +10,39 @@
 override_dh_clean:
 	dh_clean
 	rm -rf .testrepository
+	rm -f debian/aodh-common.config debian/aodh-common.postinst debian/aodh-api.config debian/aodh-api.postinst
 
 override_dh_install:
-	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=aodh-config-generator.conf
-	dh_install --fail-missing
+	rm -rf $(CURDIR)/debian/tmp
+	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
+	dh_install --fail-missing -Xusr/etc/aodh/api_paste.ini -Xusr/etc/aodh/policy.json -Xusr/etc/aodh/aodh-config-generator.conf
+
+	# Manage aodh.conf
+	mkdir -p $(CURDIR)/debian/aodh-common/usr/share/aodh-common
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf \
+		--namespace aodh \
+		--namespace aodh-auth \
+		--namespace oslo.db \
+		--namespace oslo.log \
+		--namespace oslo.messaging \
+		--namespace oslo.middleware.cors \
+		--namespace oslo.policy \
+		--namespace oslo.service.service \
+		--namespace keystonemiddleware.auth_token
+	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
+	chmod 0644 $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
+	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/aodh|' $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
+
+	# Add sqlalchemy migration which are missing
+	mkdir -p $(CURDIR)/debian/python-aodh/usr/lib/python2.7/dist-packages/aodh/storage/sqlalchemy
+	cp -auxf $(CURDIR)/aodh/storage/sqlalchemy/* $(CURDIR)/debian/python-aodh/usr/lib/python2.7/dist-packages/aodh/storage/sqlalchemy
+
+override_dh_auto_build:
+	dh_auto_build
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.config
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.postinst
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.config
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.postinst
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -30,7 +56,7 @@
 	testr init
 	set -e ; \
 		TEMP_REZ=`mktemp -t` ; \
-		OS_TEST_PATH=./aodh/tests/unit testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest

## aodh 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
croniter>=0.3.4 # MIT License
futures>=3.0;python_version=='2.7' or python_version=='2.6'  # BSD
futurist>=0.11.0  # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0
keystonemiddleware>=2.2.0
gnocchiclient>=2.1.0  # Apache-2.0
lxml>=2.3
oslo.db>=1.12.0 # Apache-2.0
oslo.config>=2.6.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr<2.0,>=0.11
pecan>=0.8.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-ceilometerclient>=1.5.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
WebOb>=1.2.3
WSME>=0.8
cotyledon

=== debian/changelog ===
aodh (3.0.0-1+7~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 06 Oct 2016 22:00:31 +0000

aodh (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 23:18:52 +0200

aodh (3.0.0~rc1-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Removed --namespace oslo.service.service when generating aodh.conf.
  * debian/source/options: ignores egg-info and .gitreview.
  * Fixed EPOCH for oslotest.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Switch aodh-api to uwsgi-plugin-python, since eventlet support is gone
    upstream.
  * Debconf translation:
    - it (Closes: #839199).

  [ Ondřej Nový ]
  * d/control: Use correct branch in Vcs-* fields

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 09:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.6),
@@ -44,7 +44,7 @@
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+                     python-oslotest (>= 1:1.5.1),
                      python-pastedeploy,
                      python-pecan (>= 0.8.0),
                      python-psycopg2,
@@ -68,8 +68,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-aodh
-Vcs-Git: https://git.openstack.org/openstack/deb-aodh
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-aodh?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-aodh -b debian/newton
 Homepage: https://github.com/openstack/aodh
 
 Package: python-aodh
@@ -151,6 +151,7 @@
          debconf,
          python-openstackclient,
          q-text-as-data,
+         uwsgi-plugin-python,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
 		--namespace oslo.policy \
-		--namespace oslo.service.service \
 		--namespace keystonemiddleware.auth_token
 	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
 	chmod 0644 $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf
@@ -56,7 +55,7 @@
 	testr init
 	set -e ; \
 		TEMP_REZ=`mktemp -t` ; \
-		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit --parallel 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/aodh/tags .*/(\d[\d\.]+)\.tar\.gz
